gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ImageCellAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ImageCellAccessible = ImageCellAccessible (ManagedPtr ImageCellAccessible)
- class (GObject o, IsDescendantOf ImageCellAccessible o) => IsImageCellAccessible o
- toImageCellAccessible :: (MonadIO m, IsImageCellAccessible o) => o -> m ImageCellAccessible

# Exported types

newtype ImageCellAccessible Source #

Memory-managed wrapper type.

Constructors

ImageCellAccessible (ManagedPtr ImageCellAccessible) |

#### Instances

Instances details

Eq ImageCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible Methods (==) :: ImageCellAccessible -> ImageCellAccessible -> Bool Source # (/=) :: ImageCellAccessible -> ImageCellAccessible -> Bool Source #
GObject ImageCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible
ManagedPtrNewtype ImageCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible Methods toManagedPtr :: ImageCellAccessible -> ManagedPtr ImageCellAccessible Source #
TypedObject ImageCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible Methods glibType :: IO GType Source #
HasParentTypes ImageCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible
IsGValue (Maybe ImageCellAccessible) Source # | Convert `ImageCellAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ImageCellAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ImageCellAccessible) Source #
type ParentTypes ImageCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible type ParentTypes ImageCellAccessible = '[RendererCellAccessible, CellAccessible, Accessible, Object, Object, Action, Component, Image, TableCell]

class (GObject o, IsDescendantOf ImageCellAccessible o) => IsImageCellAccessible o Source #

Type class for types which can be safely cast to `ImageCellAccessible`, for instance with `toImageCellAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ImageCellAccessible o) => IsImageCellAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ImageCellAccessible

toImageCellAccessible :: (MonadIO m, IsImageCellAccessible o) => o -> m ImageCellAccessible Source #

Cast to `ImageCellAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getColumnHeaderCells, getColumnSpan, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getRowColumnSpan, getRowHeaderCells, getRowSpan, getSize, getTable, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.